Ubuntu: Upgrade to 16.10 leaves broken packages



Question:

after upgrading from Kubuntu 16.04 to 16.10 I am running into a bunch of issues.

I tried to fix them with: sudo apt-get -f install and several other attempts.

One of the problems seems to be with kde-l10n-nl

below the result of sudo apt-get -f install

Reading package lists... Done  Building dependency tree         Reading state information... Done  Correcting dependencies... Done  The following packages were automatically installed and are no longer required:    libavdevice-ffmpeg56 libboost-date-time1.58.0 libboost-filesystem1.58.0 libboost-iostreams1.58.0 libicu55:i386    libjson-c2:i386 libkf5activitiesexperimentalstats1 libkwinxrenderutils7 libmircommon5 liborcus-0.10-0v5    libprocps4 libprotobuf9v5 libwacom-bin libxdelta2 linux-headers-4.4.0-45 linux-headers-4.4.0-45-generic    linux-headers-4.4.0-46 linux-headers-4.4.0-46-generic linux-headers-4.4.0-47 linux-headers-4.4.0-47-generic    linux-image-4.4.0-45-generic linux-image-4.4.0-46-generic linux-image-4.4.0-47-generic    linux-image-extra-4.4.0-45-generic linux-image-extra-4.4.0-46-generic linux-image-extra-4.4.0-47-generic    ubuntu-core-launcher xdelta  Use 'sudo apt autoremove' to remove them.  The following additional packages will be installed:    kde-l10n-nl libkf5kexiv2-15.0.0 libkf5kipi-bin libkf5screen7  The following packages will be REMOVED:    libkf5kipi30.0.0 libkf5screen6  The following NEW packages will be installed:    libkf5kexiv2-15.0.0 libkf5kipi-bin libkf5screen7  The following packages will be upgraded:    kde-l10n-nl  1 upgraded, 3 newly installed, 2 to remove and 829 not upgraded.  967 not fully installed or removed.  Need to get 0 B/15,6 MB of archives.  After this operation, 211 kB disk space will be freed.  Do you want to continue? [J/n] j  (Reading database ... 344785 files and directories currently installed.)  Preparing to unpack .../kde-l10n-nl_4%3a16.04.3-0ubuntu1_all.deb ...  Unpacking kde-l10n-nl (4:16.04.3-0ubuntu1) over (4:15.12.3-0ubuntu1.1) ...  dpkg: error processing archive /var/cache/apt/archives/kde-l10n-nl_4%3a16.04.3-0ubuntu1_all.deb (--unpack):   trying to overwrite '/usr/share/doc/HTML/nl/khelpcenter/index.cache.bz2', which is also in package khelpcenter 4:5.5.5-0ubuntu1  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)  Errors were encountered while processing:   /var/cache/apt/archives/kde-l10n-nl_4%3a16.04.3-0ubuntu1_all.deb  E: Sub-process /usr/bin/dpkg returned an error code (1)  

I tried: sudo apt autoremove which also tells me

sudo apt-get autoremove  Reading package lists... Done  Building dependency tree         Reading state information... Done  You might want to run 'apt-get -f install' to correct these.  The following packages have unmet dependencies:   gwenview : Depends: libkf5kipi-bin (>= 16.04) but it is not installed   kde-spectacle : Depends: libkf5kipi-bin (>= 16.04) but it is not installed                   Depends: libkf5screen7 (>= 4:5.6.3) but it is not installed   kscreen : Depends: libkf5screen7 (>= 4:5.6.3) but it is not installed   libkf5i18n-data : Breaks: kde-l10n-nl (< 4:16.04.2) but 4:15.12.3-0ubuntu1.1 is installed   libkf5screen-bin : Depends: libkf5screen7 (>= 4:5.7.1) but it is not installed   libpowerdevilcore2 : Depends: libkf5screen7 (>= 4:5.6.3) but it is not installed   plasma-desktop-data : Breaks: kde-l10n-nl (< 4:15.12.3-0ubuntu3~) but 4:15.12.3-0ubuntu1.1 is installed  E: Unmet dependencies. Try using -f.  

Any suggestions on how to fix are very welcome.


Solution:1

I ended up purging many packages from my installation to finally be able to do a error free sudo apt-get dist-upgrade and reinstalling many modules.

khelpcenter was just one of many I had to purge and reinstall. I had to also ude dpkg --configure -a a few times in between.

To be honest I can't remember all the steps. I am now left with a slight issue unresolved in this question: Ubuntu boots to “Read Only Filesystem” after Upgrading from 16.04 > 16.10


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »